jv.vecmath

## Interface PdMatrixIf

- All Known Implementing Classes:
    PdMatrix, PnMassMatrix, PnSparseMatrix, PnStiffAniso, PnStiffConformal, PnStiffDiriConforming, PnStiffDiriNonConforming, PnStiffMatrix, PnStiffSpring

      public interface PdMatrixIf

  Basic interface to matrices enables simultaneous use of full and sparse matrices.

  Beta version.

  See Also:
    `PdMatrix`
  Author:
    Konrad Polthier, Christoph von Tycowicz
  Version:
    20.03.10, 1.00 revised (kp)
    20.03.10, 1.00 created (kp, cvt)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(int i, int j, double inc)` Add value to component of matrix, and possibly enlarge matrix if too small.
    `void` | `clear()` Set all elements of the matrix to 0.
    `double` | `getEntry(int i, int j)` Get the component of matrix.
    `int` | `getNumCols()` Get number of columns of matrix.
    `int` | `getNumRows()` Get number of rows of matrix.
    `boolean` | `isSquare()` Check if matrix is square.
    `PdVector` | `leftMultMatrix(PdVector out, PdVector in)` Multiply this matrix with vector and fill output vector, `out = this*in.`
    `double` | `multQuadratic(PdVector left, PdVector right)` Compute `left^T*this*right`.
    `void` | `multScalar(double scalar)` Multiply all matrix components with scalar.
    `PdVector` | `rightMultMatrix(PdVector out, PdVector in)` Multiply this matrix with vector and fill output vector, `out = in*this.`
    `void` | `setEntry(int i, int j, double value)` Assign value to component of matrix, and possibly enlarge matrix if too small.
    `void` | `transpose()` Transpose a square matrix, `this = transpose(this)`.

- - ### Method Detail

    - #### getNumCols

          int getNumCols()

      Get number of columns of matrix.

    - #### getNumRows

          int getNumRows()

      Get number of rows of matrix.

    - #### getEntry

          double getEntry(int i,
                          int j)

      Get the component of matrix.

    - #### setEntry

          void setEntry(int i,
                        int j,
                        double value)

      Assign value to component of matrix, and possibly enlarge matrix if too small.

    - #### addEntry

          void addEntry(int i,
                        int j,
                        double inc)

      Add value to component of matrix, and possibly enlarge matrix if too small.

    - #### multScalar

          void multScalar(double scalar)

      Multiply all matrix components with scalar.

    - #### leftMultMatrix

          PdVector leftMultMatrix(PdVector out,
                                  PdVector in)

      Multiply this matrix with vector and fill output vector, `out = this*in.`. Matrix need not be square. Input vector must have same size as number of columns of this matrix. Method modifies size of output vector to number of rows of this matrix. If output vector is null then it is created.

    - #### rightMultMatrix

          PdVector rightMultMatrix(PdVector out,
                                   PdVector in)

      Multiply this matrix with vector and fill output vector, `out = in*this.`. Matrix need not be square. Input vector must have same size as number of rows of this matrix. Method modifies size of output vector to number of columns of this matrix. If output vector is null then it is created.

    - #### multQuadratic

          double multQuadratic(PdVector left,
                               PdVector right)

      Compute `left^T*this*right`. The matrix is interpreted as a quadratic form.
      Parameters:
        `left` - The left argument.
        `right` - The right argument.
      Returns:
        `left^T*this*right`.

    - #### isSquare

          boolean isSquare()

      Check if matrix is square.

    - #### transpose

          void transpose()

      Transpose a square matrix, `this = transpose(this)`.

    - #### clear

          void clear()

      Set all elements of the matrix to 0.

"

The software JavaView? is copyright protected. All Rights Reserved.
"